<master>
<property name="title">@page_title;noquote@</property>
<property name="context">@context;noquote@</property>

<h3>Introduction</h3>
<p>This manual is written for users that have been assigned as Unit Coordinators for a Unit of Study.</p>
<p>The following sections show how a Unit Coordinator would update their Unit of Study outlines.</p>

<h3>Faculty Intranet</h3>
<p>The Faculty of Engineering Intranet home page displays a number of options for logging in.  The only users that should have logins to the system are Faculty staff.  Staff can log in with their MyUni key via the "<b>Staff Extro Login</b>" link.  If you are an external staff member, then log in via the "<b>Staff External Login</b>" link.</p>
<p>The "<b>Current Students</b> link will take the user to the Unit of Study outlines that are made publicly available.</p>
<p>The links to the left of the home page (as shown below) are quick links to other resources.</p>
<center><img src="resources/uc_1.jpg" width="70%" /></center>

<h3>Logged In</h3>
<p>After logging in, you should notice that the <b>User Links</b> box has changed.  You now have the option to:</p>

<ul>
<li>Manaage UoS Outlines</li>
<li>View UoS Outlines</li>
</ul>

<p>You would most likely want to <em>manage</em> your UoS outline, so click on the <b>Manage UoS Outlines</b> link to take you to the Coordinate Page.</p>

<center><img src="resources/uc_2.jpg" width="70%" /></center>

<h3>Coordinate Page</h3>
<p>If your UoS outline is up-to-date, meaning your Department Coordinator hasn't selected your Units of Study as needing attention, then you should see the following screen.  You will have <b>0 pending</b> Units of Study.</p>
<center><img src="resources/uc_3.jpg" width="70%" /></center>
<p>If on the other hand you see the following, ie having 1 or more pending Units of Study, then you should click on the link to continue with updating your outlines.</p>
<center><img src="resources/uc_4.jpg" width="70%" /></center>

<h3>Pending Units of Study</h3>
<p>The <b>Pending Units of Study</b> page will list all your Units of Study outlines that require your attention.  Adjacent to the UoS Code and Uos Name is the current state of the outline.  A Unit of Study outline can be in one of the following states:</p>
<ul>
<li><b>Open</b> - Department coordinator has opened your Unit of Study outline for editing.</li>
<li><b>Submitted</b> - You have completed updating your Unit of Study outline, and will wait for changes to be accepted by the department coordinator..</li>
<li><b>Accepted</b> - Outline has been approved by the department coordinator.  Accepted outlines are also used for the Faculty Handbook.</li>
<li><b>Closed</b> - Outline goes live and is made publicly available.</li>
</ul>
<center><img src="resources/uc_5.jpg" width="70%" /></center>
<p>To edit a Unit of Study outline, click on the edit link to the left of the listed UoS Code.</p>

<h3>Unit of Study Outline</h3>
<p>The Outline page displays all information related to a Unit of Study.  The outline is split into the following sections:</p>
<ul>
<li>UoS Details</li>
<li>Teaching & Learning (T&L) Arrangements and Requirements</li>
<li>Assessment</li>
<li>Schedule</li>
<li>Activity Log</li>
</ul>

<p>The Unit Coordinator can edit all sections except for the UoS Details.  Only the Department Coordinator has the authority to edit the UoS Details section.</p>
<center><img src="resources/uc_6.jpg" width="70%" /></center>

<h3>Workflow Actions</h3>
<p>The buttons for editing a section are located at the bottom of the outline page.  You should see the following buttons when the Unit of Study is in the <b>Open</b> state.</p>
<center><img src="resources/uc_7.jpg" width="70%" /></center>

<h3>Edit Teaching & Learning Arrangements</h3>
<p>Clicking on the <b>Edit T&L</b> button, as shown above, will change the T&L section to edit mode.  You will be able to update the fields in the T&L section.</p>
<center><img src="resources/uc_8.jpg" width="70%" /></center>

<h3>Edit Graduate Attributes</h3>
<p>Within the T&L section you will be able to add/delete/edit Graduate Attributes.  The screenshot below shows a list of graduate attributes.  To add a Graduate Attribute, simply click on the Add Graduate Attribute button.  To delete a graduate attribute, click on the delete button to the right of a Graduate Attribute.  To edit a graduate attribute, click on the edit button to the left of the Graduate Attribute.</p>
<center><img src="resources/uc_9.jpg" width="70%" /></center>
<p>Notice above that we currently don't have any Teaching and Learning approaches listed.  To add a T&L approach, click on the <b>Add T&L Approach</b> button.  You should see the following form:</p>
<center><img src="resources/uc_10.jpg" width="70%" /></center>
<p>Select a type of teaching delivery method from the drop down menu, enter a description of the method, then click on <b>OK</b>.</p>
<p>Your T&L approach should now be listed, as shown below:</p>
<center><img src="resources/uc_11.jpg" width="70%" /></center>
<p>Once you have finished editing the T&L section, you should continue to the bottom of the page to click on <b>OK</b> to save your changes, as indicated below.</p>
<center><img src="resources/uc_12.jpg" width="70%" /></center>

<h3>Submitting Outline for Approval</h3>
<p>After updating the T&L, Assessment, and Schedule sections, you should be ready to submit your outline for approval.  Submitting the form will place the outline in the <b>Submitted</b> state.  When in the submitted state, you won't be able to edit the outline, unless you reopen the outline for editing again.</p>
<p>When you are satisfied with the changes, and have addressed any comments that the Department Coordinator may have made, then click on the <b>Submit</b> button as shown below.</p>
<center><img src="resources/uc_7.jpg" width="70%" /></center>
<p>After clicking on the <b>Submit</b> button, go to the bottom of the page to write a note for the Activity Log for future reference.  Then click on the <b>OK</b> button to proceed with the submission.</p>
<center><img src="resources/uc_13.jpg" width="70%" /></center>
<p>Once submitted, the following workflow actions should appear at the bottom of the outline page.  These actions give you the option to leave comments in the Activity Log, or to Reopen the outline for further changes.</p>
<center><img src="resources/uc_14.jpg" width="70%" /></center>

<h3>UoS Outline Submitted</h3>
<p>After submitting your Unit of Study outline, you will be able to track the state of your outline in the "Pending Units of Study" page.  As shown below, the EBUS5003 Unit of Study is currently in the submitted state.  This means the outline is waiting for approval by the Department Coordinator.</p>
<center><img src="resources/uc_15.jpg" width="70%" /></center>
